<?php
require_once("lib-action/genericactions.php");

class EditAttributeResponse extends EditResponseAction
{
	public function __construct()
	{
		parent::EditResponseAction();
		$this->setDataSource(new DataSource("attributes"));

        if (!is_null(bgpc("customValidator"))) {
            $_REQUEST["customValidator"] = trim($_REQUEST["customValidator"]);
        }
	}

	public function editResponseParamHandler()
	{
        $attribute = Factory()->Attribute(bgpc("attributeID"));
        if (!is_null(bgpc("orderFormID"))) {
            $attribute->product_id = null;
        } elseif(!is_null(bgpc("productID"))) {
            $attribute->order_form_id = null;
        }
        Service()->AttributeManager->update($attribute);
		return true;
	}


}
