{* $Id: RemoveLedgerAccount.tpl 5685 2006-03-22 00:48:07Z kbailey $
 * --------------------------------------------------------------
 * This template displays the ledger accounts management page.
 *
 * Smarty Variables:
 *	$ledgerAccounts (array of ledger account data)
 *		ledgerAccountID
 *		ledgerAccountNumber
 *		ledgerAccountType
 * 		ledgerAccountName
 *		ledgerAccountTransKey
 *	$actionID				The unique action ID for this page view
 *  $actionName				The action name for this action ID
 *	$imageDirectory			The image directory for this theme
 *	$tplDirectory			The template directory for this theme
 *
 * Author: Michael Fountain
 *}
{php}$GLOBALS['__pagePath'] = array('TRANS_ACCOUNTING' => action_url('accounting', 'ShowLedgerAccounts'), 'TRANS_REMOVE_LEDGER_ACCOUNT');{/php}
{assign var="ledgerAccountID" value=$account.ledgerAccountID}
{assign var="tkey" value=$account.ledgerAccountTransKey}

<form method="post" action="{getFormAction controller="accounting"}">
    <input type="hidden" name="act" value="{getActionID action="RemoveLedgerAccount"}">
    <input type="hidden" name="token" value="{$token}">
    <input type="hidden" name="ledgerAccountID" value="{$ledgerAccountID}">
    <input type="hidden" name="removeLedgerAccount" value="1">
    {include file="$tplDirectory/widgets/form-box-header.tpl"}

    {if $canRemove}
        <div class="form-row"><div class="single-row">
            {"TRANS_CONFIRM_REMOVE_ACCOUNT"|lmsg}
        </div></div>
        <div class="form-row"><div class="field-name">{"TRANS_GL_NUMBER"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$account.ledgerAccountNumber}
            </div></div>
        </div>
        <div class="form-row"><div class="field-name">{"TRANS_LEDGER_ACCOUNT_LABEL"|lmsg}</div>
            <div class="field-value"><div class="text-value">
                {$tkey|lmsg}
            </div></div>
        </div>
    {else}
        <div class="form-row"><div class="single-row">
            {"TRANS_CANNOT_REMOVE_NOT_EMPTY"|lmsg}
        </div></div>
    {/if}

    {include file="$tplDirectory/widgets/form-box-footer.tpl"}

    {if $canRemove}
        {buttons id='billing-id-ok' class='action' name='ok' value='TRANS_YES_I_DO' type='submit' label='TRANS_YES_I_DO'}
        {buttons id='billing-id-cancel' name='cancel' value='TRANS_NO_I_DONT' type='button' label='TRANS_NO_I_DONT' onclick='history.go(-1);'}
        {include file="$tplDirectory/widgets/buttons.tpl" buttons=$buttons isSingleRow=true}
    {/if}
</form>