<?php

abstract class WidgetAction extends CatalogAction {
	
	protected function getStyles($name) {
		sfContext::getInstance()->getConfiguration()->loadHelpers('Asset');
		$request = sfContext::getInstance()->getRequest();
		$baseUrl = 'http' . ($request->isSecure() ? 's' : '') . '://' . $request->getHost();
		$imagesUrl = $baseUrl . $request->getRelativeUrlRoot() . '/' . sfConfig::get('sf_web_images_dir_name') . '/';
		$ctx = stream_context_create(array('ssl' => array(
			'verify_peer' => false,
			'verify_peer_name' => false,
		)));
		return str_replace('../images/', $imagesUrl, file_get_contents(stylesheet_path($name, true), false, true));
	}
	
}