<?php

abstract class BillingProduct extends BillingObject {

    private $_appliedCoupon;
	
	public function __construct($data) {
		parent::__construct($data);
		if (isset($data['coupon'])) {
			$this->_appliedCoupon = new BillingCoupon($data['coupon'], $data['coupon']['preapplied']);
		} else {
			$this->_appliedCoupon = null;
		}
	}
	
	public function getAppliedCoupon() {
		return $this->_appliedCoupon;
	}
	
}