<?php

class BillingSupplementaryService extends BillingService
{
    public function get($storeId, $planId, $cycleId, $subscriptionId = null, $supplementaryIds = array())
    {
        $couponIds = ($coupon = sfContext::getInstance()->getUser()->getAttribute('coupon', null)) ? array($coupon->getId()) : array();
        $groupsWithServices = array();
        $response = $this->executeGetServices($storeId, $planId, $cycleId, null, array(), $supplementaryIds, $couponIds, $subscriptionId);
        if (!$response->hasErrors()) {
            foreach ($response->getData() as $groupId => $groupData) {
                $groupsWithServices[$groupId] = new BillingSupplementaryGroup($groupData);
            }
        }

        return $groupsWithServices;
    }

    public static function getInstance()
    {
        if (self::$instance == null) {
            self::$instance = new self(self::prepareSoapClient('product'));
        }
        return self::$instance;
    }

    protected static $instance = null;
    protected $_isCacheEnabled = true;
}